%global with_tests 0%{?_with_tests:1}
%global srcname appdirs

name:          python-%{srcname}
Version:       1.4.4
Release:       3
Summary:       A Python module for determining platform-specific directories

License:       MIT
URL:           https://github.com/ActiveState/appdirs
Source0:       %{pypi_source} 

BuildArch:     noarch

%description
A small Python module for determining appropriate " + " platform-specific directories,
e.g. a "user data dir".

%package -n python3-appdirs
Summary:        A python3 module for determining platform-specific directories
%python_provide python3-appdirs
BuildRequires:  python3-devel python3-setuptools python3-pip python3-wheel


%description -n python3-appdirs
A small Python 3 module for determining appropriate " + " platform-specific directories,
e.g. a "user data dir".

%prep
%autosetup -n appdirs-%{version} -p1
rm -vrf appdirs.egg-info

%build
%py3_build_wheel

%install
%py3_install_wheel appdirs-%{version}-py2.py3-none-any.whl

sed -i -e '1{\@^#!/usr/bin/env python@d}' %{buildroot}%{python3_sitelib}/appdirs.py

%check
%if %{with_tests}
%{__python3} setup.py test
%endif

%files -n python3-appdirs
%doc README.rst CHANGES.rst LICENSE.txt
%{python3_sitelib}/appdirs*
%{python3_sitelib}/__pycache__/appdirs.*

%changelog
* Tue Oct 25 2022 zhangruifang <zhangruifang1@h-partners.com> - 1.4.4-3
- Rebuild for next release

* Thu Sep 30 2021 shixuantong <shixuantong@huawei.com> - 1.4.4-2
- fix name error in spec file

* Sat Jul 24 2021 shixuantong <shixuantong@huawei.com> - 1.4.4-1
- update version to 1.4.4 and update Source0

* Wed Oct 21 2020 chengzihan <chengzihan2@huawei.com> - 1.4.3-9
- Remove subpackage python2-appdirs

* Thu Feb 27 2020 chenli <chenli147@huawei.com> - 1.4.3-8
- Init Package
